package UML::Export::Java;

use 5.6.1;
use strict;

our $AUTHOR = q{ ks.perl@kurtstephens.com 2004/05/03 };
our $VERSION = do { my @r = (q$Revision: 1.6 $ =~ /\d+/g); sprintf "%d." . "%03d" x $#r, @r };

=head1 NAME

UML::Export::Java - A code generator for JavaTemplate.

=head1 SYNOPSIS

  use UML::Export::Java;

  my $exporter = UML::Export::Java->new('output' => *STDOUT);
  my $exporter->export_Model($model);

=head1 DESCRIPTION

This package allow UML models to be represented as Java code.

=head1 USAGE

=head1 EXPORT

None exported.

=head1 TO DO

=over 4

=item Implement AssociationClass

=back

=head1 AUTHOR

Kurt Stephens, ks.perl@kurtstephens.com 2003/05/03

=head1 SEE ALSO

L<UML::MetaModel|UML::MetaModel>

=head1 VERSION

$Revision: 1.6 $

=head1 METHODS

=cut

####################################################################################

use base qw(UML::Export::Template);

####################################################################################

#use UML::MetaMetaModel::Util qw(:all);

####################################################################################

sub export_kind { 'Java' }

sub package_sep { '.' }
sub package_file_name_suffix { '.java' }

####################################################################################

sub model_filters
{
  qw(
     AssociationNames 
     FoldMultipleInheritance
     );
}

####################################################################################

1;

####################################################################################


### Keep these comments at end of file: ks.perl@kurtstephens.com 2003/04/06 ###
### Local Variables: ###
### mode:perl ###
### perl-indent-level:2 ###
### perl-continued-statement-offset:0 ###
### perl-brace-offset:0 ###
### perl-label-offset:0 ###
### End: ###

