#!/usr/local/bin/perl
# $Id: test6.pl,v 1.3 2003/05/03 22:40:55 stephens Exp $
#

use 5.6.1;
use strict;
use warnings;


use lib "../lib/perl";
use lib "gen";


use UML::MetaModel;
use UML::Import::XMI;
use IO::File;

$DB::single = 1;


my $fh = IO::File->new($ARGV[0]);

my $f = UML::MetaModel->factory;

my $importer = UML::Import::XMI->new('factory' => $f);

my $results = $importer->import_input($fh);

my ($model) = grep($_->isaModel, @$results);

my $expcls = 
    'UML::Export::Perl' ||
    'UML::Export::Java' || 
    undef;
eval qq{ use $expcls; }; die $@ if $@;

my $exporter = $expcls->new('output' => \*STDOUT,
			    'packagePrefix' => [ ucfirst($model->name) ],
			    );
$exporter->export_Model($model);


1;

